Avisi cloud logo
OpenapiGenerated

Create or update silence for observability tenant.

POST
/api/v1/orgs/{organisationSlug}/observability/{tenantSlug}/silences

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$
tenantSlug*string
Match^[a-z0-9-_]+$

Request Body

application/json
  1. body
id?string
matchers?array<>
startsAt?string
endsAt?string
createdBy?string
comment?string
status?

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
id?string
matchers?array<>
startsAt?string
endsAt?string
createdBy?string
comment?string
status?
curl -X POST 'https://api.avisi.cloud/api/v1/orgs/string/observability/string/silences' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "string",  "matchers": [    {      "equal": true,      "regex": true,      "name": "string",      "value": "string",      "isRegex": true,      "isEqual": true    }  ],  "startsAt": "string",  "endsAt": "string",  "createdBy": "string",  "comment": "string",  "status": {    "state": "string"  }}